=== tests/core/internal/CMakeLists.txt ===
add_subdirectory(persistent_string_cache_impl)

set(UNIT_TEST_TARGETS ${UNIT_TEST_TARGETS} ${TARGETS} PARENT_SCOPE)
