=== debian/changelog ===
persistent-cache-cpp (1.0.5-4) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * [4162d23] debian/: Update upstream Git repo URL.

  [ Adrian Bunk ]
  * [969fe7b] Include missing header. (Closes: #1013012)

  [ Anton Gladky ]
  * [24d38ff] Add debian/.gitlab-ci.yml.
  * [a1d7fa7] Set upstream metadata fields: Repository.
  * [414caec] Remove obsolete field Name from debian/upstream/metadata
              (already present in machine-readable debian/copyright).
  * [12adb1b] Update standards version to 4.6.1, no changes needed.
  * [0a467ff] Minor update of install files

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Oct 2022 22:27:53 +0200

persistent-cache-cpp (1.0.5-3) unstable; urgency=medium

  * Source-only re-upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 22:51:41 +0100

persistent-cache-cpp (1.0.5-2) unstable; urgency=medium

  * debian/patches/README:
    + Add file. Explain your patch naming scheme.
  * debian/patches:
    + Add 0001_explicitly-include-boost-optional-optional_io-hpp.patch.
      Explicitly include boost/optional/optional_io.hpp as required with
      current Boost.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Nov 2021 12:13:52 +0100

persistent-cache-cpp (1.0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #998702).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 18:25:11 +0100
