=== debian/control ===
Source: persistent-cache-cpp
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-8~),
               debhelper-compat (= 13),
               doxygen,
               googletest,
               libboost-filesystem-dev,
               libgtest-dev,
               libleveldb-dev,
               lsb-release,
               pkg-config,
               python3 <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lib-cpp/persistent-cache-cpp
Vcs-Git: https://salsa.debian.org/ubports-team/persistent-cache-cpp.git
Vcs-Browser: https://salsa.debian.org/ubports-team/persistent-cache-cpp/

Package: persistent-cache-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libboost-dev,
         libleveldb-dev,
         pkg-config,
Description: Cache of key-value pairs with persistent storage for C++ 11
 This API provides a cache of key-value pairs with a backing store. It is
 intended for caching arbitrary (possibly large) amounts of data, such as
 might be needed by a web browser cache. The cache supports both
 least-recently-used and time-to-live expiration policies. It scales to
 large numbers (millions) of entries and is very fast. The implementation
 is based on leveldb and typically provides throughput many times larger
 than the I/O bandwidth to disk.
 .
 The cache is robust in the face of crashes and power loss. After a
 re-start, it is guaranteed to be in a consistent state with correct
 data. Some number of updates that were made just prior to a power loss
 or kernel crash can be lost; however, if just the calling process
 crashes, all updates that were made prior to the crash are guaranteed to
 be on disk.

Package: persistent-cache-cpp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for persistent-cache-cpp-dev
 This API provides a cache of key-value pairs with a backing store. It is
 intended for caching arbitrary (possibly large) amounts of data, such as
 might be needed by a web browser cache. The cache supports both
 least-recently-used and time-to-live expiration policies. It scales to
 large numbers (millions) of entries and is very fast. The implementation
 is based on leveldb and typically provides throughput many times larger
 than the I/O bandwidth to disk.
 .
 The cache is robust in the face of crashes and power loss. After a
 re-start, it is guaranteed to be in a consistent state with correct
 data. Some number of updates that were made just prior to a power loss
 or kernel crash can be lost; however, if just the calling process
 crashes, all updates that were made prior to the crash are guaranteed to
 be on disk.
 .
 This package provides examples and the API reference.
