=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lib-cpp/persistent-cache-cpp/tags .*/persistent-cache-cpp-(\d\S+)\.tar\.gz
