## persistent-cache-cpp 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,15 @@
 
 project(persistent-cache-cpp C CXX)
 
+option(BUILD_SHARED_LIBS "Build library as shared" OFF)
+
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set(LIBNAME persistent-cache-cpp)
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 0)
-set(VERSION_MICRO 5)
+set(VERSION_MICRO 7)
 set(LIBVERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_MICRO}")
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lower case
@@ -26,7 +28,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -Wall -pedantic -Wextra")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++14 -Wall -pedantic -Wextra")
 
 # Some additional warnings not included by the general flags set above.
 set(EXTRA_C_WARNINGS "-Wcast-align -Wcast-qual -Wformat -Wredundant-decls -Wswitch-default")
