=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/persistent_string_cache.cpp
 )
 
-add_library(${LIBNAME} STATIC ${CACHE_SRC})
+add_library(${LIBNAME} ${CACHE_SRC})
 target_link_libraries(${LIBNAME} ${LEVELDB})
 
 install(TARGETS ${LIBNAME}
