=== debian/changelog ===
persistent-cache-cpp (1.0.7-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 1001_fix-setfill-not-defined-in-scope.patch. Fix FTBFS against GCC-14.
      (Closes: #1077427).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 19:14:12 +0200

persistent-cache-cpp (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 15:12:14 +0100

persistent-cache-cpp (1.0.5-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Remove comit-hashes from changelog

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
    (closes: #1041132)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 20:29:23 +0200
