=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-8~),
                debhelper-compat (= 13),
@@ -15,7 +16,7 @@
                lsb-release,
                pkg-config,
                python3 <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/persistent-cache-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/persistent-cache-cpp.git
