## persistent-cache-cpp 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,17 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.0)
 
 # Default install location. Must be set here, before setting the project.
 if (NOT DEFINED CMAKE_INSTALL_PREFIX)
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(persistent-cache-cpp C CXX)
+project(persistent-cache-cpp VERSION 1.0.8 LANGUAGES C CXX)
 
 option(BUILD_SHARED_LIBS "Build library as shared" OFF)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set(LIBNAME persistent-cache-cpp)
-
-set(VERSION_MAJOR 1)
-set(VERSION_MINOR 0)
-set(VERSION_MICRO 7)
-set(LIBVERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_MICRO}")
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lower case
 
@@ -28,7 +23,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++14 -Wall -pedantic -Wextra")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++17 -Wall -pedantic -Wextra")
 
 # Some additional warnings not included by the general flags set above.
 set(EXTRA_C_WARNINGS "-Wcast-align -Wcast-qual -Wformat -Wredundant-decls -Wswitch-default")
@@ -82,7 +77,6 @@
 endif()
 
 include(CTest)
-enable_testing()
 
 find_package(CoverageReport)
 find_package(Boost COMPONENTS filesystem REQUIRED)
@@ -92,7 +86,9 @@
 
 add_subdirectory(src)
 add_subdirectory(include)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 add_subdirectory(data)
 add_subdirectory(examples)
 add_subdirectory(doc)
