=== debian/changelog ===
persistent-cache-cpp (1.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Support building against GTest/GMock >= 1.17.0. (Closes: #1114258).
  * debian/patches:
    + Drop 1001_fix-setfill-not-defined-in-scope.patch. Applied upstream.
    + Add 1001_CMakeLists.txt-Bump-cmake_minimum_required-to-versio.patch.
      Support building with CMake 4. (Closes: #1113398).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
    + In D (persistent-cache-cpp-dev), switch from pkg-config to pkgconf.
      Thanks, lintian.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 11:16:47 +0200
