## persistent-cache-cpp 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.10)
 
 # Default install location. Must be set here, before setting the project.
 if (NOT DEFINED CMAKE_INSTALL_PREFIX)
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(persistent-cache-cpp VERSION 1.0.8 LANGUAGES C CXX)
+project(persistent-cache-cpp VERSION 1.0.9 LANGUAGES C CXX)
 
 option(BUILD_SHARED_LIBS "Build library as shared" OFF)
