=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Set up package config.
 set(PKGCONFIG_NAME ${LIBNAME})
 set(PKGCONFIG_DESCRIPTION "A cache of key-value pairs with persistent storage for C++")
-set(VERSION "1.0.8")
+set(VERSION "1.0.9")
 
 set(PROPAGATED_LINK_FLAGS "")
 if(NOT BUILD_SHARED_LIBS)
