=== doc/CMakeLists.txt ===
configure_file(main_page.dox.in main_page.dox @ONLY)
