=== include/CMakeLists.txt ===
add_subdirectory(core)
