=== include/core/CMakeLists.txt ===
file(GLOB hdrs *.h)
install(FILES ${hdrs} DESTINATION include/core)
