=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -11,5 +11,13 @@
 add_library(${LIBNAME} ${CACHE_SRC})
 target_link_libraries(${LIBNAME} ${LEVELDB})
 
+set_target_properties(
+    ${LIBNAME}
+
+    PROPERTIES
+    VERSION "${PROJECT_VERSION}"
+    SOVERSION "${PROJECT_VERSION_MAJOR}"
+)
+
 install(TARGETS ${LIBNAME}
         DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
