=== src/core/internal/CMakeLists.txt ===
set(CACHE_INTERNAL_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/persistent_string_cache_impl.cpp
)

set(CACHE_SRC ${CACHE_SRC} ${CACHE_INTERNAL_SRC} PARENT_SCOPE)
