=== debian/changelog ===
persistent-cache-cpp (1.0.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_CMakeLists.txt-Bump-cmake_minimum_required-to-versio.patch.
      Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 00:13:11 +0200
