=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libgtest-dev,
                libleveldb-dev,
                lsb-release,
-               pkg-config,
+               pkgconf,
                python3 <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/persistent-cache-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/persistent-cache-cpp.git
@@ -29,7 +29,7 @@
 Depends: ${misc:Depends},
          libboost-dev,
          libleveldb-dev,
-         pkg-config,
+         pkgconf,
 Description: Cache of key-value pairs with persistent storage for C++ 11
  This API provides a cache of key-value pairs with a backing store. It is
  intended for caching arbitrary (possibly large) amounts of data, such as
